Bug 587417 (CVE-2010-1587) - CVE-2010-1587 ActiveMQ JSP source disclosure
Summary: CVE-2010-1587 ActiveMQ JSP source disclosure
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2010-1587
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-04-29 20:42 UTC by Josh Bressers
Modified: 2019-09-29 12:36 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-10-06 04:10:59 UTC


Attachments (Terms of Use)

Description Josh Bressers 2010-04-29 20:42:21 UTC
The Jetty ResourceHandler in Apache ActiveMQ 5.x before 5.3.2 and
5.4.x before 5.4.0 allows remote attackers to read JSP source code via
a // (slash slash) initial substring in a URI for (1) admin/index.jsp,
(2) admin/queues.jsp, or (3) admin/topics.jsp.

http://www.securityfocus.com/archive/1/archive/1/510896/100/0/threaded
https://issues.apache.org/activemq/browse/AMQ-2700
http://www.vupen.com/english/advisories/2010/0979

Comment 2 David Jorm 2011-10-06 04:10:59 UTC
Statement:

Not vulnerable. Apache ActiveMQ is not shipped with any supported Red Hat products.


Note You need to log in before you can comment on or make changes to this bug.